Get Entity Communication Summary
Get communication summary for requested entity
Get the topology for the request entity as well as the metrics information based on the flow data gathered by VCF Operations for networks
Request
URI
POST
https://{api_host}/api/ni/micro-seg/entity/single
COPY
Request Body
Entity Communication Summary Request
EntityCommunicationSummaryRequest
of type(s)
application/json
Required
{
"scope": {
"scope_type": "string",
"entity_ids": [
"string"
]
},
"group_by": "string",
"time_range": {
"start_time": 1597247025,
"end_time": 1597247999
}
}
object
scope
Optional
scope
string
group_by
Optional
group_by
object
time_range
Optional
time_range
Responses
200
Success
Returns
EntityCommunicationSummaryListResponse
of type(s)
application/json
{
"results": [
{
"src_entity_id": "string",
"src_entity_type": "string",
"dst_entity_id": "string",
"dst_entity_type": "string",
"flow_properties": [
{
"property_type": "string",
"count": 0,
"query": "string"
}
],
"network_properties": [
{
"property_type": "string",
"ingress": "number",
"egress": "number",
"total": "number"
}
]
}
],
"total_count": 0
}
array of
object
results
Optional
results
integer As int32
As int32
total_count
Optional
total_count
400
Bad Request
Returns
BadRequestResponse
of type(s)
application/json
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
integer As int32
As int32
code
Optional
code
string
message
Optional
message
array of
object
details
Optional
details
401
Unauthorized
Returns
UnauthorizedResponse
of type(s)
application/json
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
integer As int32
As int32
code
Optional
code
string
message
Optional
message
array of
object
details
Optional
details
500
Internal error
Returns
InternalErrorResponse
of type(s)
application/json
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
integer As int32
As int32
code
Optional
code
string
message
Optional
message
array of
object
details
Optional
details
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/ni/micro-seg/entity/single
Microsegmentation Operations
POST
List Recommended Rules
POST
Export Nsx Recommended Rules
POST
Get Entity Communication Summary
POST
Get Connection Graph